[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Package overlap between RHEL-6 and EPEL



On Thu, 17 May 2012 15:23:08 -0600
Stephen John Smoogen <smooge gmail com> wrote:

> So it looks like we have a fair bit of overlap in the last release of
> RHEL and EPEL. Currently there are 62 packages which overlap in EPEL
> and will need to work out whether I missed an exclusive arch
> somewhere, we need to add an exclusive arch, or we need to remove the
> package.  [The file y-overlap-os-srpms contains a list of the packages
> that overlap here]

We need to identify here which of these packages we are shipping
because RHEL only ships them in 64bit. (A wiki page with an explicit
list of them would be great I think). 

Anyone with a 32bit instance around willing to check this list against
available 32bit packages for us?

Note that I don't think exclusivearch or excludearch comes in here. 
RHEL doesn't add that to their packages, they just do not ship the
32bit one. We cannot add it to our packages because when we ship one it
has to be available for both arches or koji will not be happy. 

> Looking at other channels in RHEL-6, we have 96 packages which
> overlap. The main problem with these is that they are rather core
> items to EPEL (puppet, facter) or various needed rpms for other
> software to work (a lot of rubygems and such). [The file
> y-overlap-other-srpms contains this list of packages.]

Might be nice/good to split these out by channel, so we could see
exactly which channels are publishing them?

Thanks for working on this!

kevin

Attachment: signature.asc
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]